Issue856

Title Document translation process from start to finish
Priority urgent Status resolved
Project License Engine Milestone
Superseder Nosy List AFRICANJ, cwebber, lunpa, mlinksva, nkinkade
Assigned To cwebber Keywords

Created on 2011-06-01.20:32:19 by cwebber, last changed 2012-03-15.20:12:27 by cwebber.

Messages
msg3929 (view) Author: cwebber Date: 2012-03-15.20:12:26
Okay, I updated that page!  I think it's pretty clear now how things work.  I'm
closing it!
msg3914 (view) Author: cwebber Date: 2012-02-01.20:40:38
Thanks for responding.  That actually helps a lot. :)

Okay, will do!
msg3913 (view) Author: lunpa Date: 2012-02-01.20:35:38
Well, it is hard to outline what I don't know.  I can say this for sure, that
while the instructions on how to extract and push is pretty straight forward, I
have no idea what happened when I ran it and stuff broke, or how you fixed it
(or /what/ you fixed).

So, it would at least be helpful to have an outline of the different components
at work here and a brief description of some of the more essential parts.  And
maybe some links to further reading, since as I understand it, this is something
fairly standard now?
msg3912 (view) Author: cwebber Date: 2012-02-01.19:35:57
Some work done in: http://wiki.creativecommons.org/Translation_tooling

But it's clear that more still needs to be done.

As far as I can tell, what's missing maybe is:
 - How does extract.sh work?
 - How might one add more extraction stuff in the future?
 - What's the current lifecycle of a translation?
 - other things???

Jonathan, you've recently looked at this stuff, do you have advice on what's
needed still?
msg3188 (view) Author: AFRICANJ Date: 2011-08-07.05:02:37
For info., translation engine and Wordpress 1.5 or higher in Indoeuropean 
translator widget http://wordpress.org/extend/plugins/indoeuropean-translator-
widgets/stats has result,2477 Stats in number which is largest translation 
work efforts for providing links to different automatic translations from the 
sidebar and history of active versions 1.2.3 is 67.7%.
msg3069 (view) Author: mlinksva Date: 2011-06-01.20:35:02
public wiki, thank you!
msg3068 (view) Author: cwebber Date: 2011-06-01.20:32:18
The current process for translations is not really documented.  Ideally we'll
just overhaul the entire process into something with real clarity, but in the
meantime we can just document our current un-sanity.

Should document:
 - Adding/modifying stuff
   - Setting up the extraction virtualenv / site.py
   - Adding and extracting new strings to the license engine (including
attribution gotchas)
   - Extracting license strings from other things?? (I haven't done this
personally but it happens)
   - Adding that string to the master .po file and pushing to transifex
 - Simply changing a string without touching the templates by just changing the
.po file and pushing to transifex
 - How new translation tarballs are made
   - The script that pulls from transifex and commits
   - The cc.i18n tarball generation script
 - How the sites are updated with translations
   - The occasional auto-updating of staging.creativecommons.org
   - cc.controlpanel manual updating of live / dev stuff (though teamspace has
these docs, can probably link to that) 

Mike, I assume you want this to be documented on wiki.creativecommons.org rather
than teamspace?
History
Date User Action Args
2012-03-15 20:12:27cwebbersetstatus: chatting -> resolved
messages: + msg3929
2012-02-01 20:40:38cwebbersetmessages: + msg3914
2012-02-01 20:35:38lunpasetmessages: + msg3913
2012-02-01 19:35:58cwebbersetnosy: + lunpa
messages: + msg3912
2011-08-07 05:02:38AFRICANJsetnosy: + AFRICANJ
messages: + msg3188
2011-06-01 20:35:02mlinksvasetstatus: unread -> chatting
messages: + msg3069
2011-06-01 20:32:19cwebbercreate